Incidents/Runbooks
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IncidentIdstringRequired
Body
runbooksstring[]Required
Responses
201
The request has succeeded and a new resource has been created as a result.
application/json
400
The server could not understand the request due to invalid syntax.
application/json
401
Access is unauthorized.
application/json
402
Client error
application/json
403
Access is forbidden.
application/json
404
The server cannot find the requested resource.
application/json
409
The request conflicts with the current state of the server.
application/json
422
Client error
application/json
500
Server error
application/json
502
Server error
application/json
503
Service unavailable.
application/json
504
Server error
application/json
post/v3/incidents/{IncidentId}/runbooks
POST /v3/incidents/{IncidentId}/runbooks HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21
{
"runbooks": [
"text"
]
}{
"data": [
{
"id": "text",
"incident_id": "text",
"runbook_id": "text",
"name": "text",
"steps": [
{
"content": "text",
"completed": true,
"completed_at": "2026-01-01T00:00:00.000Z"
}
],
"deleted": true,
"deleted_at": "2026-01-01T00:00:00.000Z"
}
]
}Last updated